> ## Name

> cgGetPassName - get a technique pass's name

> ## Synopsis

>     #include <Cg/cg.h>

>     const char * cgGetPassName( CGpass pass );

> ## Parameters

> pass
>   The pass.

> ## Return Values

> Returns the null-terminated name string for the pass.

> Returns NULL if pass is invalid.

> ## Description

> cgGetPassName allows the application to retrieve the name of a pass in a Cg program. This name can be used later to retrieve the pass from the program using cgGetNamedPass.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PASS_HANDLE_ERROR is generated if pass is not a valid pass.

> ## History

> cgGetPassName was introduced in Cg 1.4.

> ## See Also

> cgGetNamedPass, cgGetFirstPass, cgGetNextPass